#!/bin/sh
# Genera HTMLs con listas de cursos y de profesores
# Dominio público. 2004. Sin garantías. http://structio.sourceforge.net/sigue

outdir=$1;
anio=$2;

if (test "$outdir" = "") then {
	echo "Primer parámetro debe ser directorio donde quedarán HTMLs";
	exit 1;
} fi;

if (test ! -d $outdir) then {
	echo "Primer parámetro debe ser directorio donde quedarán HTMLs";
	exit 1;
} fi;

if (test "$anio" = "") then {
	echo "Segundo parámetro debe ser año por generar";
	exit 1;
} fi;

if (test ! -f col.planest) then {
	echo "Debe ejecutarse desde directorio con plan de estudios";
	exit 1;
} fi;

PLANESTDIR=`pwd`/
NS=grp2html.xsl;
GRP2HTML=/usr/local/share/sigue/xslt/$NS;

export SGML_CATALOG_FILES=$SGML_CATALOG_FILES:/usr/local/share/xml/structio/catalog

woutdir=`(cd $outdir; pwd)`;
echo $woutdir;
echo $anio;
niveles=`ls -1 ../../grupo/$anio/ | grep -v "CVS" | grep -v "profesores.grp"`
echo $niveles;
for n in $niveles ; do
	grados=`cd ../../grupo/$anio/$n; ls -1 *grp | grep "[.]grp$"`
	echo $grados;
	for g in $grados; do
		mkdir -p $woutdir/$anio/$n
		echo "$n/$g";
		nom=`echo $g|sed -e "s|.grp$||g"`;
		cmd="xsltproc --path \"/usr/local/share/xml/structio/ .\" --stringparam dirplanest $PLANESTDIR --catalogs $GRP2HTML ../../grupo/$anio/$n/$g > $woutdir/$anio/$n/$nom.html";
		echo $cmd > /dev/stderr
		eval $cmd;
	done;
done;

if (test -f "../../grupo/$anio/profesores.grp") then {
		echo "profesores";
		cmd="xsltproc --path \"/usr/local/share/xml/structio/ .\" --stringparam dirplanest $PLANESTDIR --catalogs $GRP2HTML ../../grupo/$anio/profesores.grp > $woutdir/$anio/profesoresm.html";
		echo $cmd > /dev/stderr
		eval $cmd;
} fi;
